/*
 * This function provides a standard exit from the TGIMAGE command.
 *
 * It accepts input of a string which is displayed as an error message,
 * the number of a file which it closes, and the name of a file which it
 * deletes to provide security against TEX using an old copy of the data file.
 *
 */
tgexit(errmsg,outfile,datfile)
      int outfile;
      char *errmsg[],
	   *datfile[];
    {
    printf("\n%s\n",errmsg);
    fclose(outfile);
    unlink(datfile);
    exit(1);
    }
